curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*+json' \
--data '
{
"skillId": "<string>",
"generateMobileInputLink": false,
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
],
"skillParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions"
payload = {
"skillId": "<string>",
"generateMobileInputLink": False,
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
],
"skillParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify({
skillId: '<string>',
generateMobileInputLink: false,
registrationParameters: [{key: '<string>', value: '<string>'}],
skillParameters: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isShortLink": true,
"mobileInputLink": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}Crea una transacción de procesamiento
Crea una transacción que se usará para procesar archivos.
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
Parámetros para la creación de Transacción
ID de la skill que se aplicará a los archivos
1Generar una URL para ejecutar la captura móvil con un token de autenticación de un solo uso y así inyectar una imagen en una transacción específica
Parámetros de registro adicionales para la transacción
10Show child attributes
Show child attributes
Parámetros de Habilidad de la transacción
10Show child attributes
Show child attributes
Respuesta
Transacción creada correctamente
El enlace de entrada móvil es un enlace corto que hace referencia al enlace de entrada móvil original.
Enlace de entrada móvil que contiene un token de autorización de un solo uso para la transacción actual. Este Parameter se devuelve si generateMobileInputLink=true
¿Esta página le ayudó?
